                      Computer Science 825
                         Quiz 9           Name _______________________

1. a. In SDLC do supervisory frames carry a frame sequence number xor
      an ack number?  (Yes is not a correct answer)


   b. In SDLC unnumbered frames carry no sequence number or ack number
      at all.  This would appear to make it impossible to construct
      a reliable protocol (one in which exactly one copy of each frame
      transmitted is accepted by the receiver).  Is such the case? If
      not why not? If so, why doesn't this cause problems.







2. a. The queuemsg procedure in the protocol 5 implementation could
      be blocked two possible conditions. What were the conditions
      and what events would eventually lead to unblocking?

              Condition     |          Unblocked by.. when...
      1.                    |
                            |
       ---------------------------------------------------------
                            |
      2.                    |
                            |


   b. A buffer in the protocol 5 implementation cycled though a number
      of queues.. Associate each transition with the process that
      effected it. (Some answers may be used more than once or not at all).

      ____ 1. Free to network input        a.  Writer process

      ____ 2. Network input to link        b.  Timeout process
              station output

      ____ 3. Link station output to       c.  Reader process
              sender window.

       ___ 4. Sender window to free        d.  Queuemsg process
              list

3. Answer the following T or F.

   ____ a. A virtual circuit network layer is better than a datagram
           network layer in responding to localized network congestion.

   ____ b. Virtual circuit service can generally be provided more
           efficiently by a virtual circuit network layer than by a
           virtual circuit transport layer on top of a datagram network
           layer.

4. Assume a new virtual circuit is added to the network shown on the
   screen. Its route is ABCD. What are the new entries in each nodes
   routing tables:

   A                  B                  C                D
